<?php
/**
 * Loads deactivation feedback form.
 *
 * @package miniorange-sms-order-notification-otp-verification/controllers/
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
use WCSMSOTP\Handler\MoActionHandlerHandler;
use WCSMSOTP\Helper\MoUtility;

$mowc_message = mowc_(
	'We are sad to see you go :( Have you found a bug? Did you feel something was missing? 
                Whatever it is, we\'d love to hear from you and get better.'
);

$mowc_submit_and_deactivate_message = mowc_( 'Submit & Deactivate' );
$mowc_submit_message                = mowc_( 'Submit' );

$mowc_admin_handler       = MoActionHandlerHandler::instance();
$mowc_nonce               = $mowc_admin_handler->get_nonce_value();
$mowc_deactivationreasons = $mowc_admin_handler->mo_feedback_reasons();

$mowc_feedback_view_file = MOV_WC_DIR . 'views/feedback.php';
if ( ! MoUtility::mo_require_file( $mowc_feedback_view_file, MOV_WC_DIR ) ) {
	return;
}
require $mowc_feedback_view_file;
